#include <SIM800.h>
#include <SoftwareSerial.h>
#include <string.h>

unsigned long bauds = 19200;
char code[] = "0000";
char addr[] = "\"+989355907190\"";
char msg[] = "Hello World!";

char ioBuffer;

void setup() {
  Serial.begin(9600);  
  while (!Serial) {;}
  SIM.begin(9600);
  SIM.setTimeout(5000);
  SIM.ipBearer(SET, "3,1,\"Contype\",\"GPRS\"");    // Configure profile 1 connection as "GPRS"
  SIM.ipBearer(SET, "3,1,\"APN\",\"internet\"");    // Set profile 1 access point name to "internet"
  SIM.ipBearer(SET, "1,1");                         // Open GPRS connection on profile 1
  SIM.ipBearer(SET, "2,1");                         // Display IP address of profile 1
  SIM.httpInit(EXE);                                // Initialize HTTP functionality
  SIM.httpParams(SET, "\"CID\",1");                 // Choose profile 1 as HTTP channel
  SIM.httpParams(SET, "\"URL\",\"www.papal.ir/relays.php/?sp=MTAwMDAxMTEwMDEwMTEwMTEwMTEwMTAxMTAxMTExMDAwMDAxMTA=\"");   

  //SIM.httpEnd(EXE);                               // Terminate HTTP functionality
  //SIM.ipBearer(SET, "0,1");                       // Close GPRS connection on profile 1
}

void loop() {
  SIM.httpAction(SET, "0");                         // Get the webpage
  while(!SIM.available()) {;}                       // Wait until the webpage has arrived
  SIM.ipBearer(SET, "1,1");                         // Open GPRS connection on profile 1
  SIM.ipBearer(SET, "2,1");                         // Display IP address of profile 1
  SIM.httpInit(EXE);                                // Initialize HTTP functionality
  SIM.httpParams(SET, "\"CID\",1");                 // Choose profile 1 as HTTP channel
  SIM.httpParams(SET, "\"URL\",\"www.papal.ir/relays.php/?sp=MTAwMDAxMTEwMDEwMTEwMTEwMTEwMTAxMTAxMTExMDAwMDAxMTA=\"");   

}
